> ## Documentation Index
> Fetch the complete documentation index at: https://www.checklyhq.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get usage term v2

> Get a usage term with its budget, accounts and applied pricing rules.



## OpenAPI

````yaml /api-reference/openapi.json get /v2/usage/terms/{id}
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: |-
    These are the docs for the newly released Checkly Public API.
    If you have any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v2/usage/terms/{id}:
    get:
      tags:
        - Usage
      summary: Get usage term
      description: Get a usage term with its budget, accounts and applied pricing rules.
      operationId: getV2UsageTermsId
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
        - schema:
            type: string
            format: uuid
            description: >-
              Your Checkly account ID, you can find it at
              https://app.checklyhq.com/settings/account/general
          required: false
          description: >-
            Your Checkly account ID, you can find it at
            https://app.checklyhq.com/settings/account/general
          name: x-checkly-account
          in: header
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageV2ReportingTerm'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageV2ReportingError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageV2ReportingError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageV2ReportingError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageV2ReportingError'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageV2ReportingError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageV2ReportingError'
        '502':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageV2ReportingError'
components:
  schemas:
    UsageV2ReportingTerm:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/UsageV1Account'
        contractStartDate:
          type: string
          format: date
        contractEndDate:
          type: string
          format: date
        usageStartDate:
          type: string
          format: date
        creditBudget:
          type: number
          nullable: true
          minimum: 0
          exclusiveMinimum: true
        standardCreditsPerUnit:
          type: number
          nullable: true
          minimum: 0
        premiumCreditsPerUnit:
          type: number
          nullable: true
          minimum: 0
        packageModel:
          type: string
          nullable: true
          enum:
            - limits
            - credits
            - null
        pricingRules:
          type: object
          nullable: true
          properties:
            apiChecks:
              $ref: '#/components/schemas/UsageV2PricingRule'
            multistepChecks:
              $ref: '#/components/schemas/UsageV2PricingRule'
            browserChecks:
              $ref: '#/components/schemas/UsageV2PricingRule'
            playwrightCheckSuites:
              $ref: '#/components/schemas/UsageV2PricingRule'
            uptimeMonitors:
              $ref: '#/components/schemas/UsageV2PricingRule'
            aiInvocations:
              $ref: '#/components/schemas/UsageV2PricingRule'
            statusPages:
              $ref: '#/components/schemas/UsageV2PricingRule'
            statusPageAdditionalServices:
              $ref: '#/components/schemas/UsageV2PricingRule'
            statusPageAdditionalSubscribers:
              $ref: '#/components/schemas/UsageV2PricingRule'
            additionalSms:
              $ref: '#/components/schemas/UsageV2PricingRule'
            additionalPhoneAlerts:
              $ref: '#/components/schemas/UsageV2PricingRule'
          additionalProperties: false
      required:
        - id
        - name
        - accounts
        - contractStartDate
        - contractEndDate
        - usageStartDate
        - creditBudget
        - standardCreditsPerUnit
        - premiumCreditsPerUnit
        - packageModel
        - pricingRules
    UsageV2ReportingError:
      type: object
      properties:
        statusCode:
          type: number
        error:
          type: string
        message:
          type: string
        code:
          type: string
          enum:
            - ACCOUNT_NOT_IN_USAGE_TERMS
            - INVALID_CURSOR
            - INVALID_RANGE
            - NO_USAGE_TERMS
            - USAGE_STORE_UNAVAILABLE
            - USAGE_TERMS_CONFLICT
      required:
        - statusCode
        - error
        - message
    UsageV1Account:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
    UsageV2PricingRule:
      anyOf:
        - type: object
          properties:
            method:
              type: string
              enum:
                - per_unit
            quantity:
              type: number
              minimum: 0
              exclusiveMinimum: true
            unit:
              type: string
              minLength: 1
            credits:
              type: number
              minimum: 0
            rates:
              type: array
              items:
                type: object
                properties:
                  when:
                    type: string
                    minLength: 1
                  credits:
                    type: number
                    minimum: 0
                required:
                  - when
                  - credits
                additionalProperties: false
            included:
              type: object
              properties:
                quantity:
                  type: number
                  minimum: 0
                period:
                  type: string
                  minLength: 1
              required:
                - quantity
              additionalProperties: false
          required:
            - method
            - quantity
            - unit
            - credits
          additionalProperties: false
        - type: object
          properties:
            method:
              type: string
              enum:
                - per_period
            period:
              type: string
              enum:
                - day
            price:
              type: object
              properties:
                annualCredits:
                  type: number
                  minimum: 0
              required:
                - annualCredits
              additionalProperties: false
          required:
            - method
            - period
            - price
          additionalProperties: false
        - type: object
          properties:
            method:
              type: string
              enum:
                - capacity_blocks_per_period
            period:
              type: string
              enum:
                - day
            unit:
              type: string
              minLength: 1
            included:
              type: object
              properties:
                quantity:
                  type: number
                  minimum: 0
              required:
                - quantity
              additionalProperties: false
            block:
              type: object
              properties:
                quantity:
                  type: number
                  minimum: 0
                  exclusiveMinimum: true
                annualCredits:
                  type: number
                  minimum: 0
              required:
                - quantity
                - annualCredits
              additionalProperties: false
          required:
            - method
            - period
            - unit
            - included
            - block
          additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys).

        Your API key is like a password: 

        keep it secure!


        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.


        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"`

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.